ory/hydra 软件分析报告

基础信息

项目名称:ory/hydra

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1752519237361848320/1752519246329270272

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
github.com/urfave/negroni 存在跨站重定向漏洞 跨站重定向 MPS-2022-13490 中危
jsonwebtoken 加密问题漏洞 密码算法不安全 MPS-2022-1966 CVE-2022-23539 高危
jsonwebtoken 数据伪造问题漏洞 密码学签名的验证不恰当 MPS-2022-1967 CVE-2022-23540 高危
JsonWebToken 身份验证不当 MPS-2022-1968 CVE-2022-23541 中危
node-semver 安全漏洞 ReDoS MPS-2022-5166 CVE-2022-25883 高危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
jsonwebtoken 8.5.1 9.0.0 直接依赖 建议修复
semver 5.7.2 7.5.2 间接依赖 可选修复
github.com/urfave/negroni v1.0.0 直接依赖 可选修复

许可证风险

许可证类型 相关组件 许可证风险
MIT 515
Apache-2.0 95
BSD-3-Clause 56
ISC 50
MPL-2.0 4
自定义许可证 1
BSD-2-Clause 20
0BSD 1
CC-BY-3.0 1
Unlicense 1
CC0-1.0 1
BSD 1
CC-BY-SA-4.0 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
end-of-stream 1.4.4 间接依赖 npm
tr46 0.0.3 间接依赖 npm
jsonwebtoken 8.5.1 直接依赖 npm
github.com/moby/term v0.5.0 间接依赖 go
eslint-visitor-keys 1.0.0 间接依赖 npm
progress 2.0.3 间接依赖 npm
github.com/go-openapi/analysis v0.21.4 间接依赖 go
tough-cookie 4.1.3 间接依赖 npm
osenv 0.1.5 间接依赖 npm
github.com/inhies/go-bytesize v0.0.0-20220417184213-4913239db9cf 间接依赖 go
cli-cursor 3.1.0 间接依赖 npm
conventional-changelog-ember 2.0.9 间接依赖 npm
text-table 0.2.0 间接依赖 npm
github.com/hashicorp/go-retryablehttp v0.7.4 直接依赖 go
golang.org/x/tools v0.15.0 直接依赖 go
chalk 2.4.2 间接依赖 npm
contains-path 0.1.0 间接依赖 npm
github.com/prometheus/common v0.44.0 间接依赖 go
@sideway/formula 3.0.1 间接依赖 npm
ms 2.1.2 间接依赖 npm
cli-truncate 2.1.0 间接依赖 npm
has-flag 3.0.0 间接依赖 npm
google.golang.org/grpc v1.59.0 间接依赖 go
gopkg.in/ini.v1 v1.67.0 间接依赖 go
mdast-util-frontmatter 0.2.0 间接依赖 npm
eslint-config-standard 12.0.0 间接依赖 npm
micromark-extension-frontmatter 0.2.2 间接依赖 npm
neo-async 2.6.2 间接依赖 npm
spdx-compare 1.0.0 间接依赖 npm
emoji-regex 8.0.0 间接依赖 npm
require-uncached 1.0.3 间接依赖 npm
github.com/tomnomnom/linkheader v0.0.0-20180905144013-02ca5825eb80 直接依赖 go
debuglog 1.0.1 间接依赖 npm
format 0.2.2 间接依赖 npm
npm-normalize-package-bin 1.0.1 间接依赖 npm
golang.org/x/net v0.18.0 间接依赖 go
conventional-changelog-angular 5.0.13 间接依赖 npm
github.com/gofrs/uuid v4.4.0+incompatible 直接依赖 go
array-ify 1.0.0 间接依赖 npm
asn1 0.2.4 间接依赖 npm
micromark-extension-gfm-task-list-item 0.3.3 间接依赖 npm
@nodelib/fs.walk 1.2.8 间接依赖 npm
eslint-config-standard-jsx 6.0.2 间接依赖 npm
nice-try 1.0.5 间接依赖 npm
camelcase 5.3.1 间接依赖 npm
semver 5.7.2 间接依赖 npm
github.com/ory/fosite v0.44.1-0.20231218095112-ac9ae4bd99d7 直接依赖 go
cachedir 2.3.0 间接依赖 npm
fd-slicer 1.1.0 间接依赖 npm
defaults 1.0.3 间接依赖 npm
github.com/opencontainers/image-spec v1.1.0-rc4 间接依赖 go
github.com/matttproud/golang_protobuf_extensions v1.0.4 间接依赖 go
github.com/pelletier/go-toml v1.9.5 间接依赖 go
is-callable 1.1.4 间接依赖 npm
remark-frontmatter 3.0.0 间接依赖 npm
ci-info 3.2.0 间接依赖 npm
minimist-options 4.1.0 间接依赖 npm
github.com/aymerick/douceur v0.2.0 间接依赖 go
github.com/go-openapi/inflect v0.19.0 间接依赖 go
github.com/dave/jennifer v1.7.0 间接依赖 go
github.com/fatih/color v1.15.0 间接依赖 go
code.dny.dev/ssrf v0.2.0 间接依赖 go
ajv 6.12.6 间接依赖 npm
mdast-util-gfm 0.1.2 间接依赖 npm
conventional-changelog-cli 2.2.2 直接依赖 npm
cliui 7.0.4 间接依赖 npm
is-ci 3.0.0 间接依赖 npm
git-semver-tags 4.1.1 间接依赖 npm
function-bind 1.1.1 间接依赖 npm
dot-prop 5.3.0 间接依赖 npm
mime-db 1.38.0 间接依赖 npm
golang.org/x/mod v0.14.0 间接依赖 go
github.com/docker/go-connections v0.4.0 间接依赖 go
github.com/gobuffalo/flect v1.0.2 间接依赖 go
github.com/gobuffalo/pop/v6 v6.1.2-0.20230318123913-c85387acc9a0 直接依赖 go
string_decoder 1.3.0 间接依赖 npm
babel-code-frame 6.26.0 间接依赖 npm
go.opentelemetry.io/contrib/samplers/jaegerremote v0.15.1 间接依赖 go
@textlint/markdown-to-ast 12.2.2 间接依赖 npm
levn 0.3.0 间接依赖 npm
github.com/microcosm-cc/bluemonday v1.0.26 间接依赖 go
color-name 1.1.3 间接依赖 npm
path-is-inside 1.0.2 间接依赖 npm
table 4.0.3 间接依赖 npm
@types/yauzl 2.9.2 间接依赖 npm
mdast-util-gfm-table 0.1.6 间接依赖 npm
eslint-plugin-node 7.0.1 间接依赖 npm
github.com/shopspring/decimal v1.3.1 间接依赖 go
golang.org/x/oauth2 v0.14.0 直接依赖 go
github.com/sirupsen/logrus v1.9.3 直接依赖 go
jsonfile 6.1.0 间接依赖 npm
github.com/spf13/cobra v1.7.0 直接依赖 go
color-convert 1.9.3 直接依赖 npm
call-bind 1.0.2 间接依赖 npm
github.com/thales-e-security/pool v0.0.2 间接依赖 go
lodash 4.17.21 间接依赖 npm
@hapi/hoek 9.3.0 间接依赖 npm
meow 8.1.2 间接依赖 npm
aws4 1.8.0 间接依赖 npm
micromark-extension-gfm-autolink-literal 0.5.7 间接依赖 npm
bluebird 3.7.2 间接依赖 npm
esquery 1.0.1 间接依赖 npm
pify 2.3.0 间接依赖 npm
deglob 2.1.1 间接依赖 npm
request-progress 3.0.0 间接依赖 npm
github.com/go-swagger/go-swagger v0.30.5 直接依赖 go
github.com/goccy/go-json v0.10.2 间接依赖 go
github.com/tidwall/gjson v1.17.0 直接依赖 go
github.com/fatih/structtag v1.2.0 间接依赖 go
github.com/go-logr/logr v1.3.0 间接依赖 go
loose-envify 1.4.0 间接依赖 npm
github.com/knadh/koanf/parsers/toml v0.1.0 间接依赖 go
github.com/go-openapi/jsonreference v0.20.2 间接依赖 go
split2 3.2.2 间接依赖 npm
punycode 2.1.1 间接依赖 npm
yargs 16.2.0 间接依赖 npm
type-fest 0.21.3 间接依赖 npm
github.com/spf13/jwalterweatherman v1.1.0 间接依赖 go
mdast-util-find-and-replace 1.1.1 间接依赖 npm
resolve 1.10.0 间接依赖 npm
xtend 4.0.1 间接依赖 npm
github.com/josharian/intern v1.0.0 间接依赖 go
github.com/knadh/koanf/v2 v2.0.1 间接依赖 go
is-resolvable 1.1.0 间接依赖 npm
github.com/pmezard/go-difflib v1.0.0 间接依赖 go
domelementtype 2.3.0 间接依赖 npm
json-parse-even-better-errors 2.3.1 间接依赖 npm
github.com/jackc/pgpassfile v1.0.0 间接依赖 go
lodash.includes 4.3.0 间接依赖 npm
github.com/joho/godotenv v1.5.1 间接依赖 go
shebang-regex 1.0.0 间接依赖 npm
is-typedarray 1.0.0 间接依赖 npm
sort-object-keys 1.1.3 间接依赖 npm
gopkg.in/yaml.v2 v2.4.0 间接依赖 go
deep-is 0.1.3 间接依赖 npm
glob-parent 5.1.2 间接依赖 npm
merge2 1.4.1 间接依赖 npm
conventional-changelog-codemirror 2.0.8 间接依赖 npm
merge-stream 2.0.0 间接依赖 npm
require-directory 2.1.1 间接依赖 npm
github.com/spf13/afero v1.9.5 间接依赖 go
tree-kill 1.2.2 间接依赖 npm
github.com/go-openapi/errors v0.20.4 间接依赖 go
github.com/pkg/profile v1.7.0 间接依赖 go
traverse 0.6.7 间接依赖 npm
mute-stream 0.0.7 间接依赖 npm
github.com/urfave/negroni v1.0.0 直接依赖 go
find-root 1.1.0 间接依赖 npm
underscore 1.13.6 间接依赖 npm
json-schema 0.4.0 直接依赖 npm
prettier 2.7.1 直接依赖 npm
decamelize-keys 1.1.0 间接依赖 npm
character-reference-invalid 1.1.4 间接依赖 npm
jsonparse 1.3.1 间接依赖 npm
eslint-utils 1.4.3 间接依赖 npm
rimraf 2.6.3 间接依赖 npm
hosted-git-info 2.8.9 间接依赖 npm
callsites 0.2.0 间接依赖 npm
js-yaml 3.13.1 间接依赖 npm
jsbn 0.1.1 间接依赖 npm
read-installed 4.0.3 间接依赖 npm
fast-glob 3.2.11 间接依赖 npm
detect-indent 6.1.0 间接依赖 npm
verror 1.10.0 直接依赖 npm
github.com/Nvveen/Gotty v0.0.0-20120604004816-cd527374f1e5 间接依赖 go
github.com/ory/analytics-go/v5 v5.0.1 直接依赖 go
brace-expansion 1.1.11 间接依赖 npm
dom-serializer 1.4.1 间接依赖 npm
util-deprecate 1.0.2 间接依赖 npm
slice-ansi 3.0.0 间接依赖 npm
@textlint/ast-node-types 12.2.2 间接依赖 npm
ccount 1.1.0 间接依赖 npm
webidl-conversions 3.0.1 间接依赖 npm
github.com/gobwas/glob v0.2.3 直接依赖 go
golang.org/x/oauth2 v0.0.0-20210323180902-22b0adad7558 直接依赖 go
github.com/knadh/koanf/parsers/yaml v0.1.0 间接依赖 go
github.com/pborman/uuid v1.2.1 直接依赖 go
@types/sinonjs__fake-timers 8.1.1 间接依赖 npm
github.com/fsnotify/fsnotify v1.6.0 间接依赖 go
wcwidth 1.0.1 间接依赖 npm
object-keys 1.1.1 间接依赖 npm
follow-redirects 1.15.4 间接依赖 npm
qs 6.10.4 间接依赖 npm
async 3.2.3 间接依赖 npm
argparse 1.0.10 间接依赖 npm
has-ansi 2.0.0 直接依赖 npm
remark-parse 9.0.0 间接依赖 npm
github.com/ory/hydra-client-go/v2 v2.1.1 直接依赖 go
tslib 1.14.1 间接依赖 npm
github.com/golang/mock v1.6.0 直接依赖 go
google.golang.org/appengine v1.6.8 间接依赖 go
micromark-extension-gfm 0.3.3 间接依赖 npm
ecc-jsbn 0.1.2 间接依赖 npm
golang.org/x/sys v0.15.0 间接依赖 go
github.com/kballard/go-shellquote v0.0.0-20180428030007-95032a82bc51 间接依赖 go
github.com/xeipuuv/gojsonreference v0.0.0-20180127040603-bd5ef7bd5415 间接依赖 go
astral-regex 2.0.0 间接依赖 npm
micromark-extension-gfm-strikethrough 0.6.5 间接依赖 npm
npm-run-path 4.0.1 间接依赖 npm
yallist 4.0.0 间接依赖 npm
github.com/avast/retry-go/v4 v4.5.0 间接依赖 go
signal-exit 3.0.2 间接依赖 npm
github.com/jessevdk/go-flags v1.5.0 间接依赖 go
picomatch 2.3.1 间接依赖 npm
tunnel-agent 0.6.0 间接依赖 npm
github.com/knadh/koanf/parsers/json v0.1.0 间接依赖 go
github.com/ory/herodot v0.10.3-0.20230626083119-d7e5192f0d88 直接依赖 go
vfile-message 2.0.4 间接依赖 npm
github.com/felixge/fgprof v0.9.3 间接依赖 go
balanced-match 1.0.0 间接依赖 npm
is-obj 2.0.0 间接依赖 npm
readdir-scoped-modules 1.1.0 间接依赖 npm
at-least-node 1.0.0 间接依赖 npm
github.com/prometheus/client_golang v1.16.0 直接依赖 go
github.com/felixge/httpsnoop v1.0.4 间接依赖 go
aws-sign2 0.7.0 间接依赖 npm
lodash.ismatch 4.4.0 间接依赖 npm
sprintf-js 1.0.3 间接依赖 npm
@lukeed/csprng 1.1.0 间接依赖 npm
mimic-fn 1.2.0 间接依赖 npm
is-alphanumerical 1.0.4 间接依赖 npm
fastq 1.13.0 间接依赖 npm
github.com/evanphx/json-patch/v5 v5.6.0 间接依赖 go
minimist 1.2.8 间接依赖 npm
github.com/mailru/easyjson v0.7.7 间接依赖 go
spdx-exceptions 2.2.0 间接依赖 npm
github.com/golang-jwt/jwt/v5 v5.0.0 直接依赖 go
github.com/mitchellh/mapstructure v1.5.0 间接依赖 go
base64-js 1.5.1 间接依赖 npm
espree 4.1.0 间接依赖 npm
jsx-ast-utils 2.1.0 间接依赖 npm
handlebars 4.7.7 间接依赖 npm
is-plain-obj 2.1.0 间接依赖 npm
github.com/pelletier/go-toml/v2 v2.0.9 间接依赖 go
regexpp 2.0.1 间接依赖 npm
esrecurse 4.2.1 间接依赖 npm
github.com/ory/jsonschema/v3 v3.0.8 直接依赖 go
pretty-bytes 5.6.0 间接依赖 npm
mime-types 2.1.22 间接依赖 npm
micromark-extension-gfm-tagfilter 0.3.0 间接依赖 npm
github.com/jackc/pgtype v1.14.0 间接依赖 go
prelude-ls 1.1.2 间接依赖 npm
aggregate-error 3.1.0 间接依赖 npm
github.com/docker/distribution v2.8.2+incompatible 间接依赖 go
github.com/go-openapi/validate v0.22.1 间接依赖 go
eslint-plugin-import 2.14.0 间接依赖 npm
sshpk 1.16.1 直接依赖 npm
@nuxtjs/opencollective 0.3.2 间接依赖 npm
uuid 8.3.2 间接依赖 npm
github.com/gobuffalo/helpers v0.6.7 间接依赖 go
glob 7.2.3 间接依赖 npm
slide 1.1.6 间接依赖 npm
onetime 5.1.2 间接依赖 npm
treeify 1.1.0 间接依赖 npm
github.com/seatgeek/logrus-gelf-formatter v0.0.0-20210414080842-5b05eb8ff761 间接依赖 go
dayjs 1.10.6 间接依赖 npm
asynckit 0.4.0 间接依赖 npm
uniq 1.0.1 间接依赖 npm
anchor-markdown-header 0.6.0 间接依赖 npm
github.com/jmoiron/sqlx v1.3.5 间接依赖 go
esprima 4.0.1 间接依赖 npm
github.com/cockroachdb/cockroach-go/v2 v2.3.5 间接依赖 go
circular-json 0.3.3 间接依赖 npm
human-signals 1.1.1 间接依赖 npm
fast-levenshtein 2.0.6 间接依赖 npm
get-stdin 6.0.0 间接依赖 npm
github.com/davecgh/go-spew v1.1.1 间接依赖 go
@colors/colors 1.5.0 间接依赖 npm
commander 5.1.0 间接依赖 npm
readable-stream 3.6.0 间接依赖 npm
@nodelib/fs.scandir 2.1.5 间接依赖 npm
github.com/openzipkin/zipkin-go v0.4.2 间接依赖 go
github.com/beorn7/perks v1.0.1 间接依赖 go
enquirer 2.3.6 间接依赖 npm
lodash.isboolean 3.0.3 间接依赖 npm
uri-js 4.2.2 间接依赖 npm
graceful-fs 4.2.6 间接依赖 npm
restore-cursor 3.1.0 间接依赖 npm
caller-path 0.1.0 间接依赖 npm
consola 2.15.3 间接依赖 npm
compare-versions 4.1.4 间接依赖 npm
conventional-changelog 3.1.25 间接依赖 npm
github.com/gofrs/flock v0.8.1 间接依赖 go
optionator 0.8.2 间接依赖 npm
react-is 16.8.6 间接依赖 npm
github.com/gorilla/websocket v1.5.0 间接依赖 go
github.com/ory/kratos-client-go v0.13.1 直接依赖 go
quick-lru 4.0.1 间接依赖 npm
p-locate 2.0.0 间接依赖 npm
github.com/xeipuuv/gojsonpointer v0.0.0-20190905194746-02993c407bfb 间接依赖 go
pump 3.0.0 间接依赖 npm
parse-entities 2.0.0 间接依赖 npm
is-date-object 1.0.1 间接依赖 npm
go.opentelemetry.io/contrib/instrumentation/net/http/httptrace/otelhttptrace v0.46.1 间接依赖 go
conventional-changelog-core 4.2.4 间接依赖 npm
read-pkg 3.0.0 间接依赖 npm
go.mongodb.org/mongo-driver v1.12.1 间接依赖 go
golang.org/x/text v0.14.0 间接依赖 go
mdast-util-to-markdown 0.6.5 间接依赖 npm
safe-buffer 5.2.1 间接依赖 npm
github.com/gorilla/css v1.0.0 间接依赖 go
globby 10.0.0 间接依赖 npm
github.com/cenkalti/backoff/v4 v4.2.1 间接依赖 go
shebang-command 1.2.0 间接依赖 npm
iconv-lite 0.4.24 间接依赖 npm
conventional-commits-filter 2.0.7 间接依赖 npm
min-indent 1.0.1 间接依赖 npm
go.opentelemetry.io/contrib/propagators/b3 v1.21.0 间接依赖 go
lodash.isinteger 4.0.4 间接依赖 npm
github.com/Masterminds/sprig/v3 v3.2.3 间接依赖 go
lodash.isnumber 3.0.3 间接依赖 npm
github.com/jinzhu/copier v0.3.5 间接依赖 go
github.com/imdario/mergo v0.3.16 间接依赖 go
eslint-plugin-react 7.11.1 间接依赖 npm
github.com/hashicorp/go-cleanhttp v0.5.2 间接依赖 go
ora 5.4.1 直接依赖 npm
github.com/lib/pq v1.10.9 间接依赖 go
concurrently 6.5.1 间接依赖 npm
get-intrinsic 1.2.1 间接依赖 npm
github.com/google/pprof v0.0.0-20230808223545-4887780b67fb 间接依赖 go
github.com/go-sql-driver/mysql v1.7.1 间接依赖 go
cli-table3 0.6.2 间接依赖 npm
github.com/tidwall/pretty v1.2.1 间接依赖 go
github.com/rs/cors v1.9.0 直接依赖 go
ignore 4.0.6 间接依赖 npm
github.com/mattn/go-colorable v0.1.13 间接依赖 go
github.com/gobuffalo/nulls v0.4.2 间接依赖 go
github.com/gogo/protobuf v1.3.2 间接依赖 go
@sideway/pinpoint 2.0.0 间接依赖 npm
is-hexadecimal 1.0.4 间接依赖 npm
github.com/golang/protobuf v1.5.3 间接依赖 go
github.com/dimchansky/utfbom v1.1.1 间接依赖 go
querystringify 2.2.0 间接依赖 npm
github.com/grpc-ecosystem/go-grpc-prometheus v1.2.0 间接依赖 go
combined-stream 1.0.8 间接依赖 npm
indent-string 4.0.0 间接依赖 npm
github.com/ory/x v0.0.612-0.20240130132700-6275e3f1ad0d 直接依赖 go
strip-indent 3.0.0 间接依赖 npm
strip-bom 3.0.0 间接依赖 npm
process-nextick-args 2.0.1 直接依赖 npm
github.com/gobuffalo/fizz v1.14.4 间接依赖 go
untildify 4.0.0 间接依赖 npm
caseless 0.12.0 间接依赖 npm
ini 2.0.0 间接依赖 npm
cypress 9.7.0 直接依赖 npm
github.com/go-openapi/spec v0.20.9 间接依赖 go
@types/minimist 1.2.2 间接依赖 npm
github.com/golang/glog v1.1.2 间接依赖 go
github.com/mattn/goveralls v0.0.12 间接依赖 go
ansi-escapes 3.2.0 间接依赖 npm
nopt 4.0.3 间接依赖 npm
form-data 2.3.3 间接依赖 npm
modify-values 1.0.1 间接依赖 npm
@babel/helper-validator-identifier 7.19.1 间接依赖 npm
@babel/highlight 7.18.6 间接依赖 npm
github.com/luna-duclos/instrumentedsql v1.1.3 直接依赖 go
github.com/jandelgado/gcov2lcov v1.0.5 间接依赖 go
log-symbols 4.1.0 间接依赖 npm
throttleit 1.0.0 间接依赖 npm
github.com/asaskevich/govalidator v0.0.0-20230301143203-a9d515a09cc2 间接依赖 go
@types/node 14.17.5 间接依赖 npm
chardet 0.4.2 间接依赖 npm
p-map 4.0.0 间接依赖 npm
is-unicode-supported 0.1.0 间接依赖 npm
tempfile 3.0.0 间接依赖 npm
json-parse-better-errors 1.0.2 间接依赖 npm
fault 1.0.4 间接依赖 npm
github.com/go-openapi/loads v0.21.2 间接依赖 go
isexe 2.0.0 间接依赖 npm
conventional-commits-parser 3.2.4 间接依赖 npm
github.com/gobuffalo/tags/v3 v3.1.4 间接依赖 go
extend 3.0.2 间接依赖 npm
golang.org/x/sync v0.5.0 直接依赖 go
ansi-colors 4.1.1 间接依赖 npm
dashdash 1.14.1 间接依赖 npm
split 1.0.1 间接依赖 npm
lodash.isstring 4.0.1 间接依赖 npm
go.opentelemetry.io/contrib/propagators/jaeger v1.21.1 间接依赖 go
delayed-stream 1.0.0 间接依赖 npm
reflect-metadata 0.1.13 间接依赖 npm
lodash.once 4.1.1 间接依赖 npm
braces 3.0.2 间接依赖 npm
path-is-absolute 1.0.1 间接依赖 npm
zwitch 1.0.5 间接依赖 npm
uglify-js 3.17.4 间接依赖 npm
through 2.3.8 间接依赖 npm
github.com/miekg/pkcs11 v1.1.1 直接依赖 go
object-inspect 1.12.3 间接依赖 npm
strip-final-newline 2.0.0 间接依赖 npm
strip-json-comments 2.0.1 间接依赖 npm
eventemitter2 6.4.4 间接依赖 npm
go.opentelemetry.io/otel/metric v1.21.0 间接依赖 go
github.com/hashicorp/hcl v1.0.0 间接依赖 go
github.com/docker/docker v20.10.24+incompatible 间接依赖 go
temp-dir 2.0.0 间接依赖 npm
github.com/go-logr/stdr v1.2.2 间接依赖 go
github.com/go-openapi/runtime v0.26.0 间接依赖 go
executable 4.1.1 间接依赖 npm
forever-agent 0.6.1 间接依赖 npm
github.com/knadh/koanf/maps v0.1.1 间接依赖 go
conventional-changelog-conventionalcommits 4.6.3 间接依赖 npm
arch 2.2.0 间接依赖 npm
fast-json-stable-stringify 2.0.0 间接依赖 npm
github.com/sourcegraph/annotate v0.0.0-20160123013949-f4cad6c6324d 间接依赖 go
y18n 5.0.8 间接依赖 npm
is-buffer 2.0.5 间接依赖 npm
inquirer 5.2.0 间接依赖 npm
safer-buffer 2.1.2 间接依赖 npm
decamelize 1.2.0 间接依赖 npm
has-proto 1.0.1 间接依赖 npm
entities 3.0.1 间接依赖 npm
ajv-keywords 3.4.0 间接依赖 npm
go.opentelemetry.io/proto/otlp v1.0.0 间接依赖 go
markdown-table 2.0.0 间接依赖 npm
blob-util 2.0.2 间接依赖 npm
ansi-styles 2.2.1 间接依赖 npm
detect-newline 3.1.0 间接依赖 npm
github.com/go-jose/go-jose/v3 v3.0.1 直接依赖 go
pkg-dir 2.0.0 间接依赖 npm
github.com/gobuffalo/plush/v4 v4.1.19 间接依赖 go
extsprintf 1.3.0 间接依赖 npm
json-stable-stringify-without-jsonify 1.0.1 间接依赖 npm
hard-rejection 2.1.0 间接依赖 npm
is-installed-globally 0.4.0 间接依赖 npm
domutils 2.8.0 间接依赖 npm
go.opentelemetry.io/otel/trace v1.21.0 直接依赖 go
github.com/ThalesIgnite/crypto11 v1.2.5 直接依赖 go
fs-extra 9.1.0 间接依赖 npm
go.opentelemetry.io/otel/exporters/otlp/otlptrace/otlptracehttp v1.21.0 直接依赖 go
pkg-conf 2.1.0 间接依赖 npm
estraverse 4.2.0 间接依赖 npm
github.com/jackc/pgservicefile v0.0.0-20221227161230-091c0ba34f0a 间接依赖 go
github.com/magiconair/properties v1.8.7 间接依赖 go
wordwrap 1.0.0 间接依赖 npm
pend 1.2.0 间接依赖 npm
wrap-ansi 7.0.0 间接依赖 npm
github.com/ory/go-convenience v0.1.0 间接依赖 go
@sideway/address 4.1.4 间接依赖 npm
slash 3.0.0 间接依赖 npm
iterare 1.2.1 直接依赖 npm
eslint-plugin-promise 4.0.1 间接依赖 npm
os-homedir 1.0.2 间接依赖 npm
github.com/go-openapi/jsonpointer v0.20.0 间接依赖 go
wait-on 7.2.0 直接依赖 npm
wrappy 1.0.2 间接依赖 npm
github.com/knadh/koanf/providers/posflag v0.1.0 间接依赖 go
conventional-changelog-express 2.0.6 间接依赖 npm
source-map 0.6.1 间接依赖 npm
lazy-ass 1.6.0 间接依赖 npm
github.com/gobuffalo/envy v1.10.2 间接依赖 go
uid 2.0.2 直接依赖 npm
micromark 2.11.4 间接依赖 npm
ory-prettier-styles 1.3.0 直接依赖 npm
github.com/xeipuuv/gojsonschema v1.2.0 间接依赖 go
camelcase-keys 6.2.2 间接依赖 npm
github.com/mattn/go-isatty v0.0.19 间接依赖 go
doctrine 2.1.0 间接依赖 npm
github.com/nyaruka/phonenumbers v1.1.7 间接依赖 go
github.com/prometheus/procfs v0.11.1 间接依赖 go
unist-util-is 4.1.0 间接依赖 npm
github.com/jackc/pgconn v1.14.1 间接依赖 go
inflight 1.0.6 间接依赖 npm
date-fns 2.28.0 间接依赖 npm
@hapi/topo 5.1.0 间接依赖 npm
character-entities 1.2.4 间接依赖 npm
@babel/code-frame 7.18.6 直接依赖 npm
add-stream 1.0.0 间接依赖 npm
has 1.0.3 间接依赖 npm
universalify 2.0.0 间接依赖 npm
@types/glob 7.2.0 间接依赖 npm
go.opentelemetry.io/otel/exporters/jaeger v1.17.0 间接依赖 go
side-channel 1.0.4 间接依赖 npm
github.com/pkg/errors v0.9.1 直接依赖 go
mdast-util-to-string 2.0.0 间接依赖 npm
gopkg.in/op/go-logging.v1 v1.0.0-20160211212156-b2cb9fa56473 间接依赖 go
github.com/cespare/xxhash/v2 v2.2.0 间接依赖 go
conventional-changelog-eslint 3.0.9 间接依赖 npm
jws 3.2.2 间接依赖 npm
tweetnacl 0.14.5 间接依赖 npm
requires-port 1.0.0 间接依赖 npm
arrify 1.0.1 间接依赖 npm
prop-types 15.7.2 间接依赖 npm
dateformat 3.0.3 间接依赖 npm
has-symbols 1.0.3 间接依赖 npm
github.com/Masterminds/goutils v1.1.1 间接依赖 go
go.opentelemetry.io/otel/sdk v1.21.0 直接依赖 go
is-regex 1.0.4 间接依赖 npm
spdx-expression-parse 3.0.0 间接依赖 npm
go.uber.org/automaxprocs v1.5.3 直接依赖 go
github.com/cenkalti/backoff/v3 v3.2.2 直接依赖 go
github.com/opencontainers/runc v1.1.8 间接依赖 go
is-fullwidth-code-point 3.0.0 间接依赖 npm
debug 3.2.7 间接依赖 npm
assert-plus 1.0.0 间接依赖 npm
mdast-util-gfm-strikethrough 0.2.3 间接依赖 npm
github.com/tidwall/sjson v1.2.5 直接依赖 go
go.opentelemetry.io/contrib/instrumentation/net/http/otelhttp v0.46.1 直接依赖 go
github.com/mitchellh/reflectwalk v1.0.2 间接依赖 go
github.com/ory/dockertest/v3 v3.10.0 间接依赖 go
character-entities-legacy 1.1.4 间接依赖 npm
github.com/twmb/murmur3 v1.1.8 直接依赖 go
golang.org/x/crypto v0.17.0 直接依赖 go
github.com/goccy/go-yaml v1.11.0 间接依赖 go
github.com/kr/text v0.2.0 间接依赖 go
spdx-satisfies 4.0.1 间接依赖 npm
array-union 2.1.0 间接依赖 npm
check-more-types 2.24.0 间接依赖 npm
fast-deep-equal 3.1.3 间接依赖 npm
github.com/docker/cli v20.10.21+incompatible 间接依赖 go
spdx-ranges 2.1.1 间接依赖 npm
doctoc 2.2.1 直接依赖 npm
@types/minimatch 5.1.2 间接依赖 npm
JSONStream 1.3.5 间接依赖 npm
eslint-import-resolver-node 0.3.2 间接依赖 npm
compare-func 2.0.0 间接依赖 npm
execa 4.1.0 间接依赖 npm
q 1.5.1 间接依赖 npm
abbrev 1.1.1 间接依赖 npm
google.golang.org/protobuf v1.31.0 间接依赖 go
proxy-from-env 1.0.0 间接依赖 npm
prettier-plugin-packagejson 2.2.18 直接依赖 npm
remark-footnotes 3.0.0 间接依赖 npm
github.com/mitchellh/copystructure v1.2.0 间接依赖 go
conventional-changelog-atom 2.0.8 间接依赖 npm
run-async 2.4.1 间接依赖 npm
tmp 0.0.33 间接依赖 npm
isstream 0.1.2 间接依赖 npm
spawn-command 0.0.2-1 间接依赖 npm
core-util-is 1.0.2 间接依赖 npm
github.com/dgraph-io/ristretto v0.1.1 间接依赖 go
fast-safe-stringify 2.1.1 直接依赖 npm
eslint-plugin-es 1.4.0 间接依赖 npm
github.com/dustin/go-humanize v1.0.1 间接依赖 go
@types/normalize-package-data 2.4.1 直接依赖 npm
strip-ansi 3.0.1 间接依赖 npm
whatwg-url 5.0.0 间接依赖 npm
unified 9.2.2 间接依赖 npm
is-symbol 1.0.2 间接依赖 npm
github.com/creasty/defaults v1.7.0 间接依赖 go
find-up 2.1.0 间接依赖 npm
github.com/oleiade/reflections v1.0.1 直接依赖 go
@nodelib/fs.stat 2.0.5 间接依赖 npm
js-tokens 3.0.2 间接依赖 npm
is-path-inside 3.0.3 间接依赖 npm
listr2 3.10.0 间接依赖 npm
console.table 0.10.0 间接依赖 npm
read-package-json 2.1.2 间接依赖 npm
git-hooks-list 1.0.3 间接依赖 npm
buffer-equal-constant-time 1.0.1 间接依赖 npm
conventional-changelog-writer 5.0.1 间接依赖 npm
github.com/containerd/continuity v0.4.1 间接依赖 go
update-section 0.3.3 间接依赖 npm
ansi-regex 2.1.1 间接依赖 npm
lru-cache 6.0.0 直接依赖 npm
supports-color 5.5.0 间接依赖 npm
performance-now 2.1.0 间接依赖 npm
os-tmpdir 1.0.2 间接依赖 npm
path-to-regexp 3.2.0 直接依赖 npm
github.com/elliotchance/orderedmap v1.5.0 间接依赖 go
github.com/cristalhq/jwt/v4 v4.0.2 间接依赖 go
debug-log 1.0.1 间接依赖 npm
google.golang.org/genproto v0.0.0-20231106174013-bbf56f31fb17 间接依赖 go
ospath 1.2.2 间接依赖 npm
symbol-observable 1.0.1 间接依赖 npm
micromatch 4.0.5 间接依赖 npm
kind-of 6.0.3 间接依赖 npm
imurmurhash 0.1.4 间接依赖 npm
easy-table 1.1.0 间接依赖 npm
unist-util-visit-parents 3.1.1 间接依赖 npm
yauzl 2.10.0 间接依赖 npm
esutils 2.0.2 间接依赖 npm
github.com/gobuffalo/validate/v3 v3.3.3 间接依赖 go
@types/unist 2.0.6 间接依赖 npm
cli-spinners 2.9.2 间接依赖 npm
micromark-extension-gfm-table 0.4.3 间接依赖 npm
object-assign 4.1.1 间接依赖 npm
github.com/a8m/envsubst v1.4.2 间接依赖 go
sort-package-json 1.57.0 间接依赖 npm
mdast-util-gfm-autolink-literal 0.1.3 间接依赖 npm
array-find-index 1.0.2 间接依赖 npm
dargs 7.0.0 间接依赖 npm
normalize-package-data 2.5.0 间接依赖 npm
google.golang.org/genproto/googleapis/rpc v0.0.0-20231106174013-bbf56f31fb17 间接依赖 go
@openapitools/openapi-generator-cli 2.9.0 直接依赖 npm
path-type 4.0.0 间接依赖 npm
bcrypt-pbkdf 1.0.2 间接依赖 npm
cross-spawn 6.0.5 间接依赖 npm
is-glob 4.0.3 间接依赖 npm
github.com/huandu/xstrings v1.4.0 间接依赖 go
json-stringify-safe 5.0.1 间接依赖 npm
github.com/go-faker/faker/v4 v4.1.1 直接依赖 go
define-properties 1.1.3 间接依赖 npm
github.com/spf13/cast v1.5.1 间接依赖 go
github.com/sourcegraph/syntaxhighlight v0.0.0-20170531221838-bd320f5d308e 间接依赖 go
locate-path 2.0.0 间接依赖 npm
longest-streak 2.0.4 间接依赖 npm
@types/sizzle 2.3.2 间接依赖 npm
github.com/docker/go-units v0.5.0 间接依赖 go
global-dirs 3.0.0 间接依赖 npm
spdx-license-ids 3.0.4 间接依赖 npm
path-parse 1.0.7 间接依赖 npm
get-pkg-repo 4.2.1 间接依赖 npm
conventional-changelog-preset-loader 2.3.4 间接依赖 npm
json-schema-traverse 0.4.1 间接依赖 npm
globals 11.11.0 间接依赖 npm
log-update 4.0.0 间接依赖 npm
github.com/mattn/go-sqlite3 v2.0.3+incompatible 间接依赖 go
get-stream 5.2.0 间接依赖 npm
eslint-module-utils 2.4.0 间接依赖 npm
resolve-from 1.0.1 间接依赖 npm
github.com/fatih/structs v1.1.0 直接依赖 go
go.opentelemetry.io/otel v1.21.0 直接依赖 go
git-raw-commits 2.0.11 间接依赖 npm
through2 4.0.2 间接依赖 npm
github.com/jackc/pgio v1.0.0 间接依赖 go
natural-compare 1.4.0 间接依赖 npm
github.com/alecthomas/participle/v2 v2.0.0 间接依赖 go
mdast-util-from-markdown 0.8.5 间接依赖 npm
github.com/tidwall/match v1.1.1 间接依赖 go
buffer 5.7.1 间接依赖 npm
is-stream 2.0.0 间接依赖 npm
isarray 1.0.0 直接依赖 npm
concat-map 0.0.1 间接依赖 npm
conventional-changelog-jquery 3.0.11 间接依赖 npm
bail 1.0.5 间接依赖 npm
github.com/gorilla/sessions v1.2.2 直接依赖 go
colorette 1.2.2 间接依赖 npm
psl 1.9.0 间接依赖 npm
buffer-crc32 0.2.13 间接依赖 npm
asap 2.0.6 间接依赖 npm
url-parse 1.5.10 间接依赖 npm
yargs-parser 20.2.9 间接依赖 npm
@types/mdast 3.0.10 间接依赖 npm
trim-newlines 3.0.1 间接依赖 npm
standard-engine 9.0.0 间接依赖 npm
github.com/spf13/pflag v1.0.5 直接依赖 go
github.com/sawadashota/encrypta v0.0.3 直接依赖 go
joi 17.11.0 间接依赖 npm
github.com/jackc/chunkreader/v2 v2.0.1 间接依赖 go
pluralize 7.0.0 间接依赖 npm
eslint 5.4.0 间接依赖 npm
github.com/jackc/pgx/v4 v4.18.1 直接依赖 go
github.com/Masterminds/semver/v3 v3.2.1 间接依赖 go
micromark-extension-footnote 0.3.2 间接依赖 npm
@cypress/xvfb 1.2.4 间接依赖 npm
load-json-file 4.0.0 间接依赖 npm
remark-gfm 1.0.0 间接依赖 npm
flat-cache 1.3.4 间接依赖 npm
github.com/bradleyjkemp/cupaloy/v2 v2.8.0 直接依赖 go
github.com/Azure/go-ansiterm v0.0.0-20230124172434-306776ec8161 间接依赖 go
google.golang.org/genproto/googleapis/api v0.0.0-20231106174013-bbf56f31fb17 间接依赖 go
github.com/ory/go-acc v0.2.9-0.20230103102148-6b1c9a70dbbe 直接依赖 go
github.com/go-openapi/strfmt v0.21.7 间接依赖 go
github.com/inconshreveable/mousetrap v1.1.0 间接依赖 go
github.com/sergi/go-diff v1.3.1 间接依赖 go
type-check 0.3.2 间接依赖 npm
mdast-util-gfm-task-list-item 0.1.6 间接依赖 npm
extract-zip 2.0.1 间接依赖 npm
eslint-plugin-standard 4.0.0 间接依赖 npm
cli-width 2.2.0 间接依赖 npm
axios 1.6.5 间接依赖 npm
fs.realpath 1.0.0 间接依赖 npm
error-ex 1.3.2 间接依赖 npm
node-fetch 2.7.0 间接依赖 npm
github.com/stretchr/testify v1.8.4 直接依赖 go
clone 1.0.4 间接依赖 npm
common-tags 1.8.0 间接依赖 npm
github.com/mohae/deepcopy v0.0.0-20170929034955-c48cc78d4826 直接依赖 go
path-key 2.0.1 间接依赖 npm
github.com/oklog/ulid v1.3.1 间接依赖 go
parse-json 4.0.0 间接依赖 npm
github.com/xtgo/uuid v0.0.0-20140804021211-a0b114877d4c 间接依赖 go
redent 3.0.0 间接依赖 npm
github.com/gorilla/securecookie v1.1.2 直接依赖 go
jwa 1.4.1 间接依赖 npm
external-editor 2.2.0 间接依赖 npm
dezalgo 1.0.4 间接依赖 npm
map-obj 4.3.0 间接依赖 npm
license-checker 25.0.1 直接依赖 npm
vfile 4.2.1 间接依赖 npm
gitconfiglocal 1.0.0 间接依赖 npm
golang.org/x/xerrors v0.0.0-20231012003039-104605ab7028 间接依赖 go
write 0.2.1 间接依赖 npm
spdx-correct 3.1.0 间接依赖 npm
ieee754 1.2.1 间接依赖 npm
github.com/grpc-ecosystem/grpc-gateway/v2 v2.18.1 间接依赖 go
github.com/google/shlex v0.0.0-20191202100458-e7afc7fbc510 间接依赖 go
is-text-path 1.0.1 间接依赖 npm
is-core-module 2.11.0 直接依赖 npm
github.com/go-openapi/swag v0.22.4 间接依赖 go
read-pkg-up 2.0.0 间接依赖 npm
file-entry-cache 2.0.0 间接依赖 npm
ecdsa-sig-formatter 1.0.11 间接依赖 npm
lodash.isplainobject 4.0.6 间接依赖 npm
inherits 2.0.4 间接依赖 npm
es-abstract 1.13.0 间接依赖 npm
getos 3.2.1 间接依赖 npm
github.com/jackc/pgproto3/v2 v2.3.2 间接依赖 go
dir-glob 3.0.1 间接依赖 npm
github.com/julienschmidt/httprouter v1.3.0 直接依赖 go
eslint-scope 4.0.3 间接依赖 npm
rxjs 5.5.12 间接依赖 npm
github.com/ecordell/optgen v0.0.9 间接依赖 go
unist-util-stringify-position 2.0.3 间接依赖 npm
@hutson/parse-repository-url 3.0.2 间接依赖 npm
es-to-primitive 1.2.0 间接依赖 npm
github.com/gorilla/handlers v1.5.1 间接依赖 go
github.com/google/uuid v1.4.0 直接依赖 go
github.com/rogpeppe/go-internal v1.11.0 间接依赖 go
gopkg.in/yaml.v3 v3.0.1 间接依赖 go
minimatch 3.1.2 间接依赖 npm
getpass 0.1.7 间接依赖 npm
conventional-changelog-jshint 2.0.9 间接依赖 npm
github.com/opencontainers/go-digest v1.0.0 间接依赖 go
text-extensions 1.9.0 间接依赖 npm
validate-npm-package-license 3.0.4 间接依赖 npm
golang.org/x/exp v0.0.0-20231110203233-9a3e6036ecaa 直接依赖 go
github.com/segmentio/backo-go v1.0.1 间接依赖 go
clean-stack 2.2.0 间接依赖 npm
run-parallel 1.1.9 间接依赖 npm
standard 12.0.1 直接依赖 npm
string-width 4.2.2 间接依赖 npm
escape-string-regexp 1.0.5 间接依赖 npm
path-exists 3.0.0 间接依赖 npm
figures 3.2.0 间接依赖 npm
github.com/ory/graceful v0.1.3 直接依赖 go
bl 4.1.0 间接依赖 npm
is-decimal 1.0.4 间接依赖 npm
github.com/spf13/viper v1.16.0 间接依赖 go
github.com/kr/pretty v0.3.1 间接依赖 go
github.com/prometheus/client_model v0.4.0 间接依赖 go
acorn 6.4.1 间接依赖 npm
lines-and-columns 1.2.4 直接依赖 npm
trough 1.0.5 间接依赖 npm
acorn-jsx 5.0.1 间接依赖 npm
htmlparser2 7.2.0 间接依赖 npm
get-caller-file 2.0.5 间接依赖 npm
functional-red-black-tree 1.0.1 间接依赖 npm
github.com/subosito/gotenv v1.4.2 间接依赖 go
git-remote-origin-url 2.0.0 间接依赖 npm
go.opentelemetry.io/otel/exporters/zipkin v1.21.0 间接依赖 go
array-includes 3.0.3 间接依赖 npm
pkg-config 1.1.1 间接依赖 npm
is-interactive 1.0.0 间接依赖 npm
repeat-string 1.6.1 间接依赖 npm
escalade 3.1.1 间接依赖 npm
@cypress/request 2.88.12 间接依赖 npm
once 1.4.0 间接依赖 npm
mkdirp 0.5.5 间接依赖 npm
util-extend 1.0.3 间接依赖 npm
domhandler 4.3.1 间接依赖 npm
mdast-util-footnote 0.1.7 间接依赖 npm
which 1.3.1 间接依赖 npm
github.com/toqueteos/webbrowser v1.2.0 直接依赖 go
github.com/mikefarah/yq/v4 v4.34.2 直接依赖 go
github.com/Microsoft/go-winio v0.6.1 间接依赖 go
go.opentelemetry.io/otel/exporters/otlp/otlptrace v1.21.0 间接依赖 go
github.com/gobuffalo/github_flavored_markdown v1.1.4 间接依赖 go
(0)
上一篇 2024年1月31日
下一篇 2024年1月31日

相关推荐

  • bubkoo/html-to-image 软件分析报告

    基础信息 项目名称:bubkoo/html-to-image 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1716481198724530176/1716481198812610560 此报告由Murphysec…

    软件分析 2023年10月23日
    0
  • kilobyte/termrec 软件分析报告

    基础信息 项目名称:kilobyte/termrec 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1719463891204620288/1719463891330449408 此报告由Murphysec提供 漏…

    软件分析 2023年11月1日
    0
  • wazuh/wazuh 软件分析报告

    基础信息 项目名称:wazuh/wazuh 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1757245789465255936/1757245789586890752 此报告由Murphysec提供 漏洞列表 漏…

    软件分析 2024年2月13日
    0
  • coderyi/NetworkEye 软件分析报告

    基础信息 项目名称:coderyi/NetworkEye 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721098705452470272/1722407847983292416 此报告由Murphysec提供…

    软件分析 2023年11月9日
    0
  • BallisticPain/nativescript-volume 软件分析报告

    基础信息 项目名称:BallisticPain/nativescript-volume 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1716223983774990336/1716223983816933376 …

    软件分析 2023年10月23日
    0